build a minimal chroot/container/vm filesystem by taking a list of files and
putting them and their necessary libs into a target rootfs directory

example:

```shell
cargo run -- -v rootfs/ /bin/bash /bin/ls

# chroot
sudo chroot rootfs /bin/bash

# systemd nspawn
wget -O rootfs/sbin/init https://github.com/Yelp/dumb-init/releases/download/v1.2.2/dumb-init_1.2.2_amd64
systemd-nspawn -D rootfs /sbin/init /bin/bash
```
